=== debian/changelog ===
cairo-ocaml (1:1.2.0-6build3) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Oct 2017 16:20:50 +0200

cairo-ocaml (1:1.2.0-6build2) artful; urgency=high

  * No change rebuild against new findlib.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 27 Jul 2017 09:44:53 +0100

cairo-ocaml (1:1.2.0-6build1) artful; urgency=high

  * No change rebuild against ocaml 4.04.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 30 Jun 2017 14:52:18 +0100

cairo-ocaml (1:1.2.0-6) unstable; urgency=medium

  * Team upload.
  * Change Build-Dependency on automake1.11 to automake (closes: #865152).
  * DH compatibility level 10
    - debian/rules: add --without autoreconf to dh invocation
  * debian/copyright:
    - format 1.0
    - upstream license changed to LGPL 2.1
  * Patch 0004-ocamldoc-dont-use-v-option: drop option -v from invocation
    of ocamldoc, since it makes ocamldoc produce no html pages.
  * Standards-Version 4.0.0 (no change)
  * d/control: update Vcs-* fields

 -- Ralf Treinen <treinen@debian.org>  Fri, 23 Jun 2017 18:28:25 +0200

cairo-ocaml (1:1.2.0-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Switch to automake1.11. (Closes: #724354)

 -- Eric Dorland <eric@debian.org>  Mon, 03 Mar 2014 00:59:13 -0500

cairo-ocaml (1:1.2.0-5) unstable; urgency=low

  [ Stéphane Glondu ]
  * Upload to unstable

  [ Ralf Treinen ]
  * Fix a typo in package description (closes: #726933)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 03 Dec 2013 19:52:28 +0100

cairo-ocaml (1:1.2.0-3) experimental; urgency=low

  * Compile with OCaml >= 4.01

 -- Stéphane Glondu <glondu@debian.org>  Mon, 11 Nov 2013 08:10:09 +0100

cairo-ocaml (1:1.2.0-2) unstable; urgency=low

  * Fix FTBFS on bytecode architectures

 -- Stéphane Glondu <glondu@debian.org>  Tue, 02 Aug 2011 21:37:59 +0200

cairo-ocaml (1:1.2.0-1) unstable; urgency=low

  * New upstream release
  * Remove orig-tarball target from debian/rules and add debian/watch
  * Add doc-base registration
  * Bump Standards-Version to 3.9.2

 -- Stéphane Glondu <glondu@debian.org>  Tue, 02 Aug 2011 19:43:39 +0200

cairo-ocaml (20090223-5) unstable; urgency=low

  * Add patch to build rdeps after recent changes in DSO linking
  * Bump debhelper compat level to 8
  * Bump Standards-Version to 3.9.1

 -- Stéphane Glondu <glondu@debian.org>  Sun, 27 Feb 2011 13:53:34 +0100

cairo-ocaml (20090223-3) unstable; urgency=low

  * Fix bashisms in debian/rules (Closes: #535370)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 03 Nov 2009 23:05:23 +0100

cairo-ocaml (20090223-2) unstable; urgency=low

  * Switch to dh with overrides and to dh-ocaml 0.9
  * Switch to 3.0 (quilt), add README.source
  * Change copyright file format
  * debian/control:
    - set Maintainer to Debian OCaml Maintainers (with Samuel's blessing)
    - add Samuel and myself to Uploaders
    - move to section ocaml
    - add Homepage field
    - update Standards-Version to 3.8.3

 -- Stéphane Glondu <glondu@debian.org>  Tue, 03 Nov 2009 19:20:25 +0100

cairo-ocaml (20090223-1) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * fix vcs-svn field to point just above the debian/ dir

  [ Samuel Mimram ]
  * New CVS snapshot.
  * Build with OCaml 3.11.
  * Remove fun_names.dpatch, integrated upstream.
  * Switch packaging to git
  * Use dh-ocaml.
  * Update compat to 7.
  * Update standards version to 3.8.0.

 -- Samuel Mimram <smimram@debian.org>  Mon, 02 Mar 2009 21:08:17 +0100

cairo-ocaml (20070908-1) unstable; urgency=low

  * New CVS snapshot.
  * Fixes the FTBFS, closes: #441162.
  * Removed matrix_out.dpatch, integrated upstream.
  * Build with OCaml 3.10.

 -- Samuel Mimram <smimram@debian.org>  Sat, 08 Sep 2007 00:25:22 +0200

cairo-ocaml (20070306-3) unstable; urgency=low

  * Added fun_names.dpatch to correct the names of some binding functions
    (thanks Chris King), closes: #433583.
  * Don't ignore errors on make clean.

 -- Samuel Mimram <smimram@debian.org>  Wed, 18 Jul 2007 09:51:13 +0200

cairo-ocaml (20070306-2) unstable; urgency=low

  * Added matrix_out.dpatch to correcly build on archs without ALIGN_DOUBLE.

 -- Samuel Mimram <smimram@debian.org>  Thu, 19 Apr 2007 12:36:57 +0200

cairo-ocaml (20070306-1) unstable; urgency=low

  * New CVS snapshot.
  * Added missing dependency on bigarray in the META.
  * Made the package binNMU safe.

 -- Samuel Mimram <smimram@debian.org>  Tue,  6 Mar 2007 23:38:39 +0100

cairo-ocaml (20060517-1) unstable; urgency=low

  * New upstream release.
  * Updated standards version to 3.7.2, no changes needed.

 -- Samuel Mimram <smimram@debian.org>  Fri, 19 May 2006 08:08:34 +0000

cairo-ocaml (20060107-1) unstable; urgency=low

  * New CVS snapshot.
  * Correctly handling OCaml ABI in package, closes: #347997.

 -- Samuel Mimram <smimram@debian.org>  Sat, 21 Jan 2006 12:45:24 +0100

cairo-ocaml (20051120-1) unstable; urgency=low

  * New CVS snapshot.
  * No longer hardcoding OCaml's ABI in control.
  * Removed not_aligned_double.dpatch, integrated upstream.

 -- Samuel Mimram <smimram@debian.org>  Sun, 20 Nov 2005 12:45:42 +0100

cairo-ocaml (20050918-5) unstable; urgency=low

  * The code breakage on archs where ARCH_ALIGN_DOUBLE is not defined was
    deeper than I thought. The not_align_double.dpatch patch was tested and
    should really solve the FTBS.

 -- Samuel Mimram <smimram@debian.org>  Fri,  7 Oct 2005 21:32:22 +0200

cairo-ocaml (20050918-4) unstable; urgency=low

  * Updated caml_stat.dpatch to correct a mission semicolon.

 -- Samuel Mimram <smimram@debian.org>  Fri, 30 Sep 2005 23:31:38 +0200

cairo-ocaml (20050918-3) unstable; urgency=low

  * Using dpatch to handle patches.
  * Added caml_stat patch to solve the FTBFS on sparc.

 -- Samuel Mimram <smimram@debian.org>  Fri, 30 Sep 2005 18:29:11 +0200

cairo-ocaml (20050918-2) unstable; urgency=low

  * Make configure executable to solve the FTBFS.

