=== debian/control ===
Source: cairo-ocaml
Section: ocaml
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Samuel Mimram <smimram@debian.org>,
 Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper (>= 10),
 automake,
 autoconf,
 ocaml-findlib (>= 1.4),
 dh-ocaml (>= 0.9),
 ocaml-nox (>= 4.01),
 libcairo2-dev (>= 1.2),
 liblablgtk2-ocaml-dev (>= 2.12.0-4~)
Standards-Version: 4.0.0
Homepage: http://cairographics.org/cairo-ocaml/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/cairo-ocaml.git
Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/cairo-ocaml.git

Package: libcairo-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml bindings for Cairo (runtime)
 Cairo is a multi-platform library providing anti-aliased
 vector-based rendering for multiple target backends. Paths consist
 of line segments and cubic splines and can be rendered at any width
 with various join and cap styles. All colors may be specified with
 optional translucence (opacity/alpha) and combined using the
 extended Porter/Duff compositing algebra as found in the X Render
 Extension.
 .
 Cairo exports a stateful rendering API similar in spirit to the path
 construction, text, and painting operators of PostScript, (with the
 significant addition of translucence in the imaging model). When
 complete, the API is intended to support the complete imaging model of
 PDF 1.4.
 .
 This package contains only the shared runtime stub libraries.

Package: libcairo-ocaml-dev
Architecture: any
Depends:
 libcairo2-dev,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Suggests: ocaml-findlib
Description: OCaml bindings for Cairo
 Cairo is a multi-platform library providing anti-aliased
 vector-based rendering for multiple target backends. Paths consist
 of line segments and cubic splines and can be rendered at any width
 with various join and cap styles. All colors may be specified with
 optional translucence (opacity/alpha) and combined using the
 extended Porter/Duff compositing algebra as found in the X Render
 Extension.
 .
 Cairo exports a stateful rendering API similar in spirit to the path
 construction, text, and painting operators of PostScript, (with the
 significant addition of translucence in the imaging model). When
 complete, the API is intended to support the complete imaging model of
 PDF 1.4.
 .
 This package contains all the development stuff you need to use Cairo in
 your OCaml programs. The following backends are supported: PostScript,
 PDF, PNG, In-memory images and X11.
