## cairo-ocaml 20051120

=== src/Makefile ===
--- 
+++ 
@@ -6,14 +6,13 @@
 TARGETS = cairo
 ifdef LABLGTKDIR
 TARGETS += lablgtk
+ifdef GTKCAIRO_CFLAGS
+TARGETS += gtkcairo
+endif
 endif
 ifdef LIBSVG_CAIRO_CFLAGS
 TARGETS += svgcairo
 endif
-ifdef LIBPANGOCAIRO_CFLAGS
-TARGETS += pangocairo
-endif
-
 all : $(TARGETS) $(if $(OCAMLOPT),opt)
 opt : $(addsuffix .opt,$(TARGETS))
 
@@ -25,21 +24,18 @@
 gtkcairo.opt : gtkcairo.cmxa dllmlgtkcairo.so
 svgcairo     : svg_cairo.cma libmlsvgcairo.a
 svgcairo.opt : svg_cairo.cmxa dllmlsvgcairo.so
-pangocairo     : pango_cairo.cma libmlpangocairo.a
-pangocairo.opt : pango_cairo.cmxa dllmlpangocairo.so
 
 cairo_SRC = cairo.mli cairo.ml \
             cairo_bigarray.mli cairo_bigarray.ml \
 	    cairo_png.mli cairo_png.ml \
 	    cairo_pdf.mli cairo_pdf.ml \
 	    cairo_ps.mli cairo_ps.ml \
-            cairo_svg.mli cairo_svg.ml \
             cairo_ft.mli cairo_ft.ml \
             ml_cairo_wrappers.c \
             ml_cairo.c ml_cairo_status.c ml_cairo_bigarr.c ml_cairo_path.c \
 	    ml_cairo_surface.c ml_cairo_pattern.c ml_cairo_matrix.c \
 	    ml_cairo_font.c ml_cairo_ft.c \
-	    ml_cairo_png.c ml_cairo_pdf.c ml_cairo_ps.c ml_cairo_svg.c
+	    ml_cairo_png.c ml_cairo_pdf.c ml_cairo_ps.c
 
 cairo.cma : $(call mlobjs,$(cairo_SRC))
 	$(OCAMLMKLIB) -o cairo -oc mlcairo $^ $(CAIRO_LIBS)
@@ -57,6 +53,15 @@
 libmlcairo_lablgtk.a dllmlcairo_lablgtk.so : $(call cobjs,$(lablgtk_SRC))
 	$(OCAMLMKLIB) -o cairo_lablgtk -oc mlcairo_lablgtk $^
 
+gtkcairo_SRC = cairo_gtkcairo.mli cairo_gtkcairo.ml ml_cairo_gtkcairo.c
+
+gtkcairo.cma : $(call mlobjs,$(gtkcairo_SRC))
+	$(OCAMLMKLIB) -o gtkcairo -oc mlgtkcairo $^ $(GTKCAIRO_LIBS)
+gtkcairo.cmxa : $(call mloptobjs,$(gtkcairo_SRC))
+	$(OCAMLMKLIB) -o gtkcairo -oc mlgtkcairo $^ $(GTKCAIRO_LIBS)
+libmlgtkcairo.a dllmlgtkcairo.so : $(call cobjs,$(gtkcairo_SRC))
+	$(OCAMLMKLIB) -o gtkcairo -oc mlgtkcairo $^ $(GTKCAIRO_LIBS)
+
 svgcairo_SRC = svg_cairo.mli svg_cairo.ml ml_svg_cairo.c
 
 svg_cairo.cma : $(call mlobjs,$(svgcairo_SRC))
@@ -66,25 +71,16 @@
 libmlsvgcairo.a dllmlsvgcairo.so : $(call cobjs,$(svgcairo_SRC))
 	$(OCAMLMKLIB) -o svg_cairo -oc mlsvgcairo $^ $(LIBSVG_CAIRO_LIBS)
 
-pangocairo_SRC = pango_cairo.mli pango_cairo.ml ml_pango_cairo.c
-
-pango_cairo.cma : $(call mlobjs,$(pangocairo_SRC))
-	$(OCAMLMKLIB) -o pango_cairo -oc mlpangocairo $^ $(LIBPANGOCAIRO_LIBS)
-pango_cairo.cmxa : $(call mloptobjs,$(pangocairo_SRC))
-	$(OCAMLMKLIB) -o pango_cairo -oc mlpangocairo $^ $(LIBPANGO_CAIRO_LIBS)
-libmlpangocairo.a dllmlpangocairo.so : $(call cobjs,$(pangocairo_SRC))
-	$(OCAMLMKLIB) -o pango_cairo -oc mlpangocairo $^ $(LIBPANGOCAIRO_LIBS)
-
 $(call cobjs,$(cairo_SRC))    : CPPFLAGS+=$(CAIRO_CFLAGS)
 $(call cobjs,$(lablgtk_SRC))  : CPPFLAGS+=$(GDK_CFLAGS) -I$(C_LABLGTKDIR)
+$(call cobjs,$(gtkcairo_SRC)) : CPPFLAGS+=$(GTKCAIRO_CFLAGS) -I$(C_LABLGTKDIR)
 $(call cobjs,$(svgcairo_SRC))  : CPPFLAGS+=$(LIBSVG_CAIRO_CFLAGS)
-$(call cobjs,$(pangocairo_SRC))  : CPPFLAGS+=$(LIBPANGOCAIRO_CFLAGS) $(GDK_CFLAGS) -I$(C_LABLGTKDIR)
 $(call mlobjs,$(lablgtk_SRC))  : INCFLAGS=-I $(LABLGTKDIR)
+$(call mlobjs,$(gtkcairo_SRC)) : INCFLAGS=-I $(LABLGTKDIR)
 $(call mlintfs,$(lablgtk_SRC))  : INCFLAGS=-I $(LABLGTKDIR)
+$(call mlintfs,$(gtkcairo_SRC)) : INCFLAGS=-I $(LABLGTKDIR)
 $(call mloptobjs,$(lablgtk_SRC))  : INCFLAGS=-I $(LABLGTKDIR)
-$(call mlobjs,$(pangocairo_SRC))  : INCFLAGS=-I $(LABLGTKDIR)
-$(call mlintfs,$(pangocairo_SRC))  : INCFLAGS=-I $(LABLGTKDIR)
-$(call mloptobjs,$(pangocairo_SRC))  : INCFLAGS=-I $(LABLGTKDIR)
+$(call mloptobjs,$(gtkcairo_SRC)) : INCFLAGS=-I $(LABLGTKDIR)
 
 install: all
 	mkdir -p $(DESTDIR)$(INSTALLDIR) $(DESTDIR)$(OCAMLLIB)/stublibs
@@ -100,14 +96,13 @@
 DOCFILES = cairo.mli cairo_bigarray.mli cairo_png.mli cairo_pdf.mli cairo_ps.mli cairo_ft.mli
 ifdef LABLGTKDIR
 DOCFILES += cairo_lablgtk.mli
+ifdef GTKCAIRO_CFLAGS
+DOCFILES += cairo_gtkcairo.mli
+endif
 endif
 ifdef LIBSVG_CAIRO_CFLAGS
 DOCFILES += svg_cairo.mli
 endif
-ifdef LIBPANGOCAIRO_CFLAGS
-DOCFILES += pango_cairo.mli
-endif
-
 doc: $(DOCFILES:%.mli=%.cmi)
 	mkdir -p ../doc/html
 	ocamldoc -v -html -d ../doc/html -t Cairo-ocaml $(if $(LABLGTKDIR),-I $(LABLGTKDIR)) $(DOCFILES) 
@@ -117,7 +112,7 @@
 
 .depend : $(wildcard *.ml *.mli)
 	@echo "making deps"
-	@$(OCAMLDEP) $(if $(LABLGTKDIR),-I $(LABLGTKDIR)) $^ > $@
+	@$(OCAMLDEP) $^ > $@
 
 -include .depend
 -include .depend_c
