## cairo-ocaml 20090223

=== debian/changelog ===
cairo-ocaml (20090223-5build1) oneiric; urgency=low

  * Rebuild to pick up ocaml fixes on armel.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 24 Aug 2011 16:34:17 -0600
