=== debian/control ===
--- 
+++ 
@@ -1,24 +1,23 @@
 Source: cairo-ocaml
 Section: ocaml
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Samuel Mimram <smimram@debian.org>,
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper (>= 10),
- automake,
+ debhelper (>= 8),
+ automake1.9,
  autoconf,
- ocaml-findlib (>= 1.4),
+ ocaml-findlib (>= 1.2.5),
  dh-ocaml (>= 0.9),
- ocaml-nox (>= 4.01),
+ ocaml-nox (>= 3.11.1-3~),
  libcairo2-dev (>= 1.2),
  liblablgtk2-ocaml-dev (>= 2.12.0-4~)
-Standards-Version: 4.0.0
+Standards-Version: 3.9.1
 Homepage: http://cairographics.org/cairo-ocaml/
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/cairo-ocaml.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/cairo-ocaml.git
+Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/cairo-ocaml.git
+Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/cairo-ocaml.git
 
 Package: libcairo-ocaml
 Architecture: any
@@ -69,5 +68,5 @@
  PDF 1.4.
  .
  This package contains all the development stuff you need to use Cairo in
- your OCaml programs. The following backends are supported: PostScript,
+ your OCaml programs. The folowing backends are supported: PostScript,
  PDF, PNG, In-memory images and X11.
