=== debian/rules ===
--- 
+++ 
@@ -10,8 +10,17 @@
 
 DESTDIR = $(CURDIR)/debian/tmp
 
+NOW := `date +"%Y%m%d"`
+
+orig-tarball:
+	CVSROOT=":pserver:anoncvs@cvs.cairographics.org:/cvs/cairo" cvs co cairo-ocaml
+	mv cairo-ocaml cairo-ocaml-$(NOW)
+	cd cairo-ocaml-$(NOW); rm -rf $$(find . -name CVS) $$(find . -name .cvsignore)
+	tar zcvf cairo-ocaml_$(NOW).orig.tar.gz cairo-ocaml-$(NOW)
+	rm -rf cairo-ocaml-$(NOW)
+
 %:
-	dh $@ --with ocaml --without autoreconf
+	dh $@ --with ocaml
 
 .PHONY: override_dh_auto_configure
 override_dh_auto_configure:
